/*!
  * Active Links
  * by Planetroast
  *
  * For use with the Hardhats platform and Pico powered navbars and nav
  * drawers. Sets 'active' and 'active-child' classes.
  */

// Navbar links
// -----------------------------------------------------------------------------
var links = document.querySelectorAll("nav a")
links.forEach(
	function(item) {
		if(item.getAttribute("href") == window.location.pathname) {
			item.classList.add("active")
		}

		//if(item.getAttribute("href") == "#") {
		//	item.classList.add("has-children")
		//}
	}
)

var links = document.querySelectorAll("nav li.parent")
links.forEach(
	function(item) {
		item.addEventListener("click", function() {
			item.classList.toggle("open")
		} )
		//item.onClick = function() {
		//	console.log('active')
		//}
		//if(item.getAttribute("href") == window.location.pathname) {
		//	item.classList.add("active")
		//}
	}
)



// Navbar links (with active child)
// -----------------------------------------------------------------------------
//var link = document.querySelector("nav details a.active")
//if(link) {
//	var parentLink = link.closest('ul').parentElement.querySelector('summary')
//	console.log(parentLink)
//	parentLink.classList.add("active-child")
//}


// NavDrawer links
// -----------------------------------------------------------------------------
var links = document.querySelectorAll("#navdrawer ul li a")
links.forEach(
	function(item) {
		if(item.getAttribute("href") == window.location.pathname) {
			item.classList.add("active")
		}
	}
)


// NavDrawer links (with active child)
// -----------------------------------------------------------------------------
//var link = document.querySelector("#nav-drawer .children .active")
//if(link) {
//	var dropdown = link.closest("div.children")
//	var parentLink = dropdown.previousElementSibling
//	parentLink.classList.add("active-child")
//}

